CMSIS-DSP: bayes_functions_f16.h File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Functions
bayes_functions_f16.h File Reference

## Data Structures

struct | arm_gaussian_naive_bayes_instance_f16
| Instance structure for Naive Gaussian Bayesian estimator. More...

## Functions

uint32_t | arm_gaussian_naive_bayes_predict_f16 (const arm_gaussian_naive_bayes_instance_f16 *S, const float16_t *in, float16_t *pOutputProbabilities, float16_t *pBufferB)
| Naive Gaussian Bayesian Estimator. More...